Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Class NodeTypeType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.rim.NodeTypeType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class NodeTypeType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Node Type Type', and utility methods for working with them.

See Also:
  `RimPackage.getNodeTypeType()`

Field Summary
`static int` | `EMBEDDED_PATH` The 'Embedded Path' literal value.
`static NodeTypeType` | `EMBEDDED_PATH_LITERAL` The 'Embedded Path' literal object.
`static int` | `NON_UNIQUE_CODE` The 'Non Unique Code' literal value.
`static NodeTypeType` | `NON_UNIQUE_CODE_LITERAL` The 'Non Unique Code' literal object.
`static int` | `UNIQUE_CODE` The 'Unique Code' literal value.
`static NodeTypeType` | `UNIQUE_CODE_LITERAL` The 'Unique Code' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Node Type Type' enumerators.

Method Summary
`static NodeTypeType` | `get(int value)` Returns the 'Node Type Type' literal with the specified integer value.
`static NodeTypeType` | `get(java.lang.String literal)` Returns the 'Node Type Type' literal with the specified literal value.
`static NodeTypeType` | `getByName(java.lang.String name)` Returns the 'Node Type Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNIQUE_CODE

    public static final int UNIQUE_CODE

  The 'Unique Code' literal value.

  If the meaning of 'Unique Code' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNIQUE_CODE_LITERAL`, Constant Field Values

### EMBEDDED_PATH

    public static final int EMBEDDED_PATH

  The 'Embedded Path' literal value.

  If the meaning of 'Embedded Path' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EMBEDDED_PATH_LITERAL`, Constant Field Values

### NON_UNIQUE_CODE

    public static final int NON_UNIQUE_CODE

  The 'Non Unique Code' literal value.

  If the meaning of 'Non Unique Code' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NON_UNIQUE_CODE_LITERAL`, Constant Field Values

### UNIQUE_CODE_LITERAL

    public static final NodeTypeType UNIQUE_CODE_LITERAL

  The 'Unique Code' literal object.

  See Also:
    `UNIQUE_CODE`

### EMBEDDED_PATH_LITERAL

    public static final NodeTypeType EMBEDDED_PATH_LITERAL

  The 'Embedded Path' literal object.

  See Also:
    `EMBEDDED_PATH`

### NON_UNIQUE_CODE_LITERAL

    public static final NodeTypeType NON_UNIQUE_CODE_LITERAL

  The 'Non Unique Code' literal object.

  See Also:
    `NON_UNIQUE_CODE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Node Type Type' enumerators.

Method Detail

### get

    public static NodeTypeType get(java.lang.String literal)

  Returns the 'Node Type Type' literal with the specified literal value.

### getByName

    public static NodeTypeType getByName(java.lang.String name)

  Returns the 'Node Type Type' literal with the specified name.

### get

    public static NodeTypeType get(int value)

  Returns the 'Node Type Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD